import { ViewerConfig } from '../document-viewer/viewer-config.model';
import { FileDropperConfig } from '../file-dropper/file-dropper.model';
import { HttpService } from '../core/http.service';
import { OnInit } from '@angular/core';
import { AlertService } from '../core/alert.service';
import { ErrorHandlerService } from '../core/error-handler.service';
import { ImportCsvConfig } from './import-csv-config';
import { DatePipe } from "@angular/common";
import * as i0 from "@angular/core";
export declare class ImportCsvComponent implements OnInit {
    private alertService;
    private errorHandler;
    private http;
    private datePipe;
    result: any;
    config: ImportCsvConfig;
    filesConfig: FileDropperConfig;
    filesList: any[];
    data: any[];
    isUploaded: boolean;
    isImportTypeSelected: boolean;
    viewerConfig: ViewerConfig;
    fileData: any[];
    failedItems: any[];
    selectedFields: any[];
    importSteps: any;
    currentStep: any;
    constructor(alertService: AlertService, errorHandler: ErrorHandlerService, http: HttpService, datePipe: DatePipe);
    ngOnInit(): void;
    get step(): any;
    fileChanged(event: any): Promise<void>;
    mappingProcessed(event: any): void;
    save(tempFileData: any): Promise<void>;
    isValidDate(d: any): boolean;
    reUpload(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImportCsvComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImportCsvComponent, "app-import-csv", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, false, never>;
}
